#Spec file created by makerpm 
#   
%define packagename pmq
%define packageversion 0.1.4
%define release 1.1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      %{packagename}
Version:   %{packageversion}
Release:   %{release}%{?dist}
Group:     Development/Languages/Perl
Source:    pmq-0.1.4.tar.gz
License:   Public domain
BuildRoot: /var/tmp/pmq-0.1.4
Provides:  %{packagename}
Summary:   The Perl package pmq
BuildArch: noarch

%description
pmq version 0.1.4

Report the installed version of a Perl module, or list all modules
with their versions.  Examples:

% pmq Date::Manip
% pmq --all

This is intended as an answer to the two FAQs, 'how do I find out what
version of a module is installed?' and 'how do I list all modules
installed on a system?'.  It's quite handy for upgrading a whole perl
installation from one release to another, since you can take before
and after snapshots and check nothing has broken or been downgraded.

* Changes since the last release

Fixed an uninitialized value warning.

* Installation

As for Perl modules.

% perl Makefile.PL PREFIX=/usr/local
(or change /usr/local to your chosen location)
% make
# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n pmq-0.1.4



%build
export LANG=C
CFLAGS="$RPM_OPT_FLAGS" perl  Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr 
make



%install
rm -rf $RPM_BUILD_ROOT



#run install script first so we can pick up all of the files

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

#we don't include the packing list and perllocal.pod files since their
#functions are superceeded by rpm.  we have to actually delete them
#since if we don't rpm complains about unpackaged installed files.

find $RPM_BUILD_ROOT/usr -type f \( -name 'perllocal.pod' \
	-o -name '.packlist' \) -print | xargs rm
find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" > pmq0.1.4.filelist

if [ "$(cat pmq0.1.4.filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f pmq0.1.4.filelist

%doc README


%changelog
* Sat Aug 20 2005 19:19:47 autogenerated
- by  <root@zyme.membled.com>
- using MakeRPM:
- 0.409
- $Id: makerpm,v 1.1 2005/08/20 10:47:54 ed Exp ed $ 
